package  org.ts.ddcs.entity;

public class DeviceDataDTO {
    private double  airHumidity;// (number, optional): 空气湿度 ,
    private double  airTemp;//number, optional): 空气温度 ,
   // private float  ammonia;//number, optional): 氨气 ,
  //  private float  apar;//number, optional): 光合有效辐射 ,
    private double  atmosphericPressure;//number, optional): 大气压力 ,
   // private  int bugsNum;//integer, optional): 虫情数量 ,
  //  private String  classify="";//string, optional): 类型 ,
 //   private float  co2;//number, optional): 二氧化碳 ,
    private String deviceSn="";//string, optional): SN ,
  //  private float  dewPoint;//number, optional): 空气露点 ,
    private long genTime2;//integer, optional): 采集时间 ,
//   private float  illumination;//number, optional): 光照强度 ,
 //   private float  leadacidVoltage;//number, optional): 铅酸电池电压 ,
//    private String paramJson="";//string, optional): 其他参数JSON ,
 //   private float   pm25;//number, optional): PM25 ,
    private double  rainfall;//number, optional): 雨量 ,
   // private float   rainfalls;//number, optional): 日雨量 ,
  //  private float  residualChlorine;//number, optional): 余氯 ,
   // private float  soilEc;//number, optional): 土壤EC ,
   // private float  soilHumidity;//number, optional): 土壤湿度 ,
//    private float  soilHumidity1;//number, optional): 土壤深度1湿度 ,
//    private float  soilHumidity2;//number, optional): 土壤深度2湿度 ,
//    private float  soilHumidity3;//number, optional): 土壤深度3湿度 ,
//    private float  soilHumidity4;//number, optional): 土壤深度4湿度 ,
//    private float  soilHumidity5;//number, optional): 土壤深度5湿度 ,
//    private float  soilHumidity6;//number, optional): 土壤深度6湿度 ,
//    private float   soilPh;//number, optional): 土壤PH ,
//    private float  soilTemp;//number, optional): 土壤温度 ,
//    private float  soilTemp1;//number, optional): 土壤深度1温度 ,
//    private float  soilTemp2;//number, optional): 土壤深度2温度 ,
//    private float  soilTemp3;//number, optional): 土壤深度3温度 ,
//    private float  soilTemp4;//number, optional): 土壤深度4温度 ,
//    private float   soilTemp5;//number, optional): 土壤深度5温度 ,
//    private float  soilTemp6;//number, optional): 土壤深度6温度 ,
//    private float   solarRadiation;//number, optional): 太阳辐射 ,
//    private float   voltage;//number, optional): 电压 ,
//    private float   waterAnmonia;//number, optional): 氨氮 ,
//    private float    waterConductivity;//number, optional): 电导率 ,
//    private float   waterDo;//number, optional): 溶解氧 ,
//    private float   waterEc;//number, optional): 水EC ,
//    private float   waterOxygen;//number, optional): 水痒含量 ,
//    private float   waterPh;//number, optional): PH ,
//    private float  waterSalinity;//number, optional): 水质盐度 ,
//    private float  waterTemp;//number, optional): 水温 ,
//    private float   waterTu;//number, optional): 浊度 ,
    private double  windDirection;//number, optional): 风向 ,
    private double   windVelocity;//number, optional): 风速 ,
//    private float  windd2m;//number, optional): 2分钟风向 ,
//    private float   winds2m;//number, optional): 2分钟风速


    public double getAirHumidity() {
        return airHumidity;
    }

    public void setAirHumidity(double airHumidity) {
        this.airHumidity = airHumidity;
    }

    public double getAirTemp() {
        return airTemp;
    }

    public void setAirTemp(double airTemp) {
        this.airTemp = airTemp;
    }

    public double getAtmosphericPressure() {
        return atmosphericPressure;
    }

    public void setAtmosphericPressure(double atmosphericPressure) {
        this.atmosphericPressure = atmosphericPressure;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    public long getGenTime2() {
        return genTime2;
    }

    public void setGenTime2(long genTime2) {
        this.genTime2 = genTime2;
    }

    public double getRainfall() {
        return rainfall;
    }

    public void setRainfall(double rainfall) {
        this.rainfall = rainfall;
    }

    public double getWindDirection() {
        return windDirection;
    }

    public void setWindDirection(double windDirection) {
        this.windDirection = windDirection;
    }

    public double getWindVelocity() {
        return windVelocity;
    }

    public void setWindVelocity(double windVelocity) {
        this.windVelocity = windVelocity;
    }
}
